#include <maya/MFnPlugin.h>
#include <maya/MSimple.h>
#include "reticle.h"

MStatus initializePlugin(MObject obj)
{
	MStatus status;
	MFnPlugin plugin(obj, "Tatsuhiro Ito", "1.0.0", "Any");

	status = plugin.registerNode(
				Reticle::name,
				Reticle::id,
				Reticle::creator,
				Reticle::initialize,
				MPxNode::kLocatorNode
				);
	CHECK_MSTATUS_AND_RETURN_IT(status);
	
    return status;
}


MStatus uninitializePlugin(MObject obj)
{
    MStatus   status;
    MFnPlugin plugin(obj);

	status = plugin.deregisterNode(Reticle::id);
	CHECK_MSTATUS_AND_RETURN_IT(status);
	
    return status;
}
